<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=7,IE=9" />
        <meta name="viewport" content="initial-scale=1, maximum-scale=1,user-scalable=no" />
        <title>SNC - Visor Catastral</title>
        <link rel="stylesheet" type="text/css" 	href="http://snc.igac.gov.co/editor/js/arcgis/arcgis_js_v28_api/arcgis_js_api/library/2.8/jsapi/js/dojo/dijit/themes/claro/claro.css">
        <link rel="stylesheet" type="text/css" href="http://snc.igac.gov.co/editor/js/arcgis/arcgis_js_v28_api/arcgis_js_api/library/2.8/jsapi/js/esri/dijit/css/Popup.css">
        <link rel="stylesheet" href="http://snc.igac.gov.co/editor/js/arcgis/arcgis_js_v28_api/arcgis_js_api/library/2.8/jsapi/js/dojo/dojox/layout/resources/FloatingPane.css">

        <link rel="stylesheet" type="text/css" href="../css/map.css">
        <link rel="stylesheet" type="text/css" href="../css/Dialog.css">
        <!-- TODO: TENER EN CUENTA LA VERSIÓN DEL FRAMEWORK INCLUIDO
        original = 3.0.M2-SNAPSHOT
        actual = 3.2
        -->
        <script type='text/javascript' 	src='../javax.faces.resource/jquery/jquery.js.jsf?ln=primefaces&v=3.2'></script>
        <link type='text/css' href='../css/basic.css' rel='stylesheet' 	media='screen' />
        <script type="text/javascript">
            var djConfig = {
                parseOnLoad: true
            };
        </script>
        <script type="text/javascript" 	src="http://snc.igac.gov.co/editor/js/arcgis/arcgis_js_v28_api/arcgis_js_api/library/2.8/jsapi/"></script>
        <script type="text/javascript" 	src="../resources/javascript/snc_visor.js"></script>
    </head>
    <body class="claro">
        <div id="mainDiv" dojotype="dijit.layout.BorderContainer"
             design="headline" gutters="false">
            <div dojoType="dijit.layout.ContentPane" region="top">
                <div id="navToolbar" data-dojo-type="dijit.Toolbar">

                    <button id="zoomin" dojoType="dijit.form.Button"
                            iconClass="zoominIcon"
                            onclick="navToolbar.activate(esri.toolbars.Navigation.ZOOM_IN);"
                            showLabel="false" type="button">Acercar</button>

                    <button id="zoomout" dojoType="dijit.form.Button"
                            iconClass="zoomoutIcon"
                            onclick="navToolbar.activate(esri.toolbars.Navigation.ZOOM_OUT);"
                            showLabel="false" type="button">Alejar</button>

                    <button id="zoomfullext" dojoType="dijit.form.Button"
                            iconClass="zoomfullextIcon"
                            onclick="navToolbar.zoomToFullExtent();" showLabel="false"
                            type="button">Inicio</button>

                    <button id="zoomprev" dojoType="dijit.form.Button"
                            iconClass="zoomprevIcon" onclick="navToolbar.zoomToPrevExtent();"
                            showLabel="false" type="button">Anterior</button>

                    <button id="zoomnext" dojoType="dijit.form.Button"
                            iconClass="zoomnextIcon" onclick="navToolbar.zoomToNextExtent();"
                            showLabel="false" type="button">Siguiente</button>

                    <button id="pan" dojoType="dijit.form.Button" iconClass="panIcon"
                            onclick="switchEnableMover();" showLabel="false" type="button">Mover</button>

                    <span id="predioToolsDiv" dojoType="dijit.ToolbarSeparator"></span>

                    <button id="identify" dojoType="dijit.form.Button"
                            onclick="switchEnableIdentify(true);" showLabel="false"
                            type="button">Identificar</button>

                    <button id="selectPredioBtn" dojoType="dijit.form.Button"
                            onclick="switchEnableSelectPredio(true);" showLabel="false"
                            style="visibility: hidden"type="button">Seleccionar Predio</button>

                    <button id="selectManzanaBtn" dojoType="dijit.form.Button" iconClass="seleccionarManzanaEnabledIcon"
                            onclick="switchEnableSelectManzana(true);" showLabel="false"
                            style="visibility: hidden" type="button">Seleccionar Manzana</button>

                    <span dojoType="dijit.ToolbarSeparator"></span>

                    <button id="deactivate" dojoType="dijit.form.Button"
                            iconClass="deactivateIcon"
                            onclick="enableNavigationToolbar(false);" showLabel="false"
                            type="button">Desactivar</button>

                    <button id="cleanGraphics" dojoType="dijit.form.Button"
                            iconClass="clearIcon" onclick="map.graphics.clear();"
                            showLabel="false" type="button">Limpiar Gráficos</button>

                    <span dojoType="dijit.ToolbarSeparator"></span>

                    <button id="dropdownButton" title="Capa Base" iconClass="bingIcon"
                            label="Capa Base" dojoType="dijit.form.DropDownButton">
                        <div dojoType="dijit.Menu" id="bingMenu"></div>
                    </button>

                    <select id="selectEscalas" dojotype="dijit.form.ComboBox"
                            title="Escala" onChange="zoomToScale();" style="width: 90px;">
                        <option selected ="selected">Seleccionar</option> 
                        <option>1:20000</option>
                        <option>1:10000</option>
                        <option>1:5000</option>
                        <option>1:2000</option>
                        <option>1:1000</option>
                        <option>1:500</option>
                    </select> <input id="checkBoxExtent" type="checkbox" onclick="checkExtent();"
                                     iconClass="verExtentIcon" showLabel="false">Extent <span
                                     dojoType="dijit.ToolbarSeparator"></span>

                    <button id="verLeyenda" dojoType="dijit.form.Button"
                            iconClass="verLeyendaIcon" onclick="checkLeyenda();"
                            showLabel="false" type="button">Leyenda</button>

                    <button id="verCapas" dojoType="dijit.form.Button"
                            iconClass="layersToolIcon" onclick="verCapasTool();"
                            showLabel="false" type="button">Capas</button>

                    <button id="medir" dojoType="dijit.form.Button"
                            iconClass="measurementToolIcon" onclick="verMedirTool();"
                            showLabel="false" type="button">Medir</button>

                    <button id="dibujar" dojoType="dijit.form.Button"
                            iconClass="drawToolIcon" onclick="verDibujarTool();"
                            showLabel="false" style="visibility: hidden" type="button">Seleccionar área</button>
                </div>
            </div>

            <div id="mapDiv" dojotype="dijit.layout.ContentPane" region="center">
                <img id="loadingImg" src="../images/map/loading.gif" />
                <div id="infoCoord"></div>
                <div id="info"></div>
                <div id="scale"></div>
                <div id="scale2"></div>
                <span id="north"></span>

                <div dojoType="dojox.layout.Dock" id="dock"></div>

                <div dojoType="dojox.layout.FloatingPane" title="Leyenda"
                     dockTo="dock" dockable="true" id="leyendaFloater"
                     style="visibility: hidden;" closable="false" resizable="true">
                    <div id="legendPredios" style="padding: 5px;"></div>
                    <div id="legendOfertas" style="padding: 5px;"></div>
                </div>

                <div dojoType="dojox.layout.FloatingPane" title="Capas" dockTo="dock"
                     dockable="true" id="capasFloater" style="visibility: hidden;"
                     closable="false" resizable="true">
                    <div id="toggle" style="padding: 5px;"></div>
                </div>

                <div dojoType="dojox.layout.FloatingPane" title="Medir" dockTo="dock"
                     dockable="true" id="medirFloater" style="visibility: hidden;"
                     closable="false" resizable="true">
                    <div dojoType="dijit.layout.ContentPane">
                        <div id="measurementDiv"></div>
                    </div>
                </div>

                <div dojoType="dojox.layout.FloatingPane" title="Seleccionar Área"
                     dockTo="dock" dockable="true" id="dibujarFloater"
                     style="visibility: hidden;" closable="false" resizable="true">
                    <div id="drawToolbarDiv" dojoType="dijit.layout.ContentPane"
                         tooltip="Dibujar" iconClass="drawToolIcon">
                        <button dojoType="dijit.form.Button" iconClass="freeLineIcon"
                                showLabel="false"
                                onClick="drawToolbar.activate(esri.toolbars.Draw.POLYLINE);map.hideZoomSlider();">Polilínea</button>
                        <button dojoType="dijit.form.Button" iconClass="polyIcon"
                                showLabel="false"
                                onClick="drawToolbar.activate(esri.toolbars.Draw.POLYGON);map.hideZoomSlider();">Polígono</button>
                        <button id="cleanGraphics2" dojoType="dijit.form.Button"
                                iconClass="clearIcon" onClick="map.graphics.clear();"
                                showLabel="false" type="button">Limpiar Gráficos</button>
                    </div>
                </div>
            </div>
        </div>

        <div dojoType="dijit.Dialog" id="messageWin" title="Información"></div>

        <script>
            (function (i, s, o, g, r, a, m) {
                i['GoogleAnalyticsObject'] = r;
                i[r] = i[r] || function () {
                    (i[r].q = i[r].q || []).push(arguments)
                }, i[r].l = 1 * new Date();
                a = s.createElement(o),
                        m = s.getElementsByTagName(o)[0];
                a.async = 1;
                a.src = g;
                m.parentNode.insertBefore(a, m)
            })(window, document, 'script', 'https://www.google-analytics.com/analytics.js', 'ga');

            ga('create', 'UA-43899828-1', 'auto');
            ga('send', 'pageview');
        </script>


    </body>
</html>
